//
//  SpeechView.h
//  QihooSpeechDemo
//
//  Created by 郑善福 on 15/11/23.
//  Copyright © 2015年 郑善福. All rights reserved.
//

#ifndef SpeechView_h
#define SpeechView_h

#import <UIKit/UIKit.h>
#import "include/QihooSpeechRecognition/QihooSpeechRecognition.h"

@protocol SpeechViewDelegate <NSObject>
@optional
- (void)getResultText:(NSString *)text;
- (void)getNResultText:(NSString *)text;
@end

@interface SpeechAlertView : UIAlertView<QRecognitionListener>
{
    UIImageView *speechImage;//声音图片
    UIView *backgroundView;
}
@property (strong, nonatomic) QihooSpeechRecognizer *mSpeechRecognizer;
@property (strong, nonatomic) QihooSpeechConfig *mSpeechConfiger;
@property (copy, nonatomic) NSString *appid,*securetKey;
@property (assign, nonatomic)id<SpeechViewDelegate> speechDelegate;
@end

#endif /* SpeechView_h */
